Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IEditorInput

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IFileEditorInput, IInPlaceEditorInput, IPathEditorInput, IStorageEditorInput

All Known Implementing Classes:
  CompareEditorInput, FileEditorInput, FileInPlaceEditorInput, MultiEditorInput

public interface IEditorInput
extends IAdaptable

`IEditorInput` is a light weight descriptor of editor input, like a file name but more abstract. It is not a model. It is a description of the model source for an `IEditorPart`.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

Clients should extend this interface to declare new types of editor inputs.

An editor input is passed to an editor via the `IEditorPart.init` method. Due to the wide range of valid editor inputs, it is not possible to define generic methods for getting and setting bytes.

Editor input must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

See Also:
  `IEditorPart`, `IWorkbenchPage.openEditor(org.eclipse.ui.IEditorInput, java.lang.String)`

Method Summary
`boolean` | `exists()` Returns whether the editor input exists.
`ImageDescriptor` | `getImageDescriptor()` Returns the image descriptor for this input.
`String` | `getName()` Returns the name of this editor input for display purposes.
`IPersistableElement` | `getPersistable()` Returns an object that can be used to save the state of this editor input.
`String` | `getToolTipText()` Returns the tool tip text for this editor input.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### exists

    public boolean exists()

  Returns whether the editor input exists.

  This method is primarily used to determine if an editor input should appear in the "File Most Recently Used" menu. An editor input will appear in the list until the return value of `exists` becomes `false` or it drops off the bottom of the list.

  Returns:
    `true` if the editor input exists; `false` otherwise

### getImageDescriptor

    public ImageDescriptor getImageDescriptor()

  Returns the image descriptor for this input.

  Returns:
    the image descriptor for this input

### getName

    public String getName()

  Returns the name of this editor input for display purposes.

  For instance, when the input is from a file, the return value would ordinarily be just the file name.

  Returns:
    the name string

### getPersistable

    public IPersistableElement getPersistable()

  Returns an object that can be used to save the state of this editor input.

  Returns:
    the persistable element, or `null` if this editor input cannot be persisted

### getToolTipText

    public String getToolTipText()

  Returns the tool tip text for this editor input. This text is used to differentiate between two input with the same name. For instance, MyClass.java in folder X and MyClass.java in folder Y. The format of the text varies between input types.

  Returns:
    the tool tip text

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.